clang-tools 10.0.0

Classes | Namespaces | Functions
TestTU.h File Reference
`#include "ParsedAST.h"`
`#include "Path.h"`
`#include "index/Index.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "gtest/gtest.h"`
`#include <string>`
`#include <utility>`
`#include <vector>`
Include dependency graph for TestTU.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::TestTU

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
const Symbol & | clang::clangd::findSymbol (const SymbolSlab &Slab, llvm::StringRef QName)
const NamedDecl & | clang::clangd::findDecl (ParsedAST &AST, llvm::StringRef QName)
const NamedDecl & | clang::clangd::findDecl (ParsedAST &AST, std::function< bool(const NamedDecl &)> Filter)
const NamedDecl & | clang::clangd::findUnqualifiedDecl (ParsedAST &AST, llvm::StringRef Name)